let create kind id state =
  let id = Object.to_object_id id in
    match kind with
      | ObjectType.Base -> (new Base.t id (Object.State state) :> Object.base)
      | ObjectType.Tank -> (new Tank.t id (Object.State state) :> Object.base)
      | ObjectType.Projectile -> (new Projectile.t id (Object.State state) :> Object.base)
      | ObjectType.Explosion -> (new Explosion.t id (Object.State state) :> Object.base)
      | ObjectType.Mine -> (new Mine.t id (Object.State state) :> Object.base)
      | ObjectType.Laser -> (new Laser.t id (Object.State state) :> Object.base)
      | ObjectType.Bomb -> (new Bomb.t id (Object.State state) :> Object.base)
      | ObjectType.Building -> (new Building.t id (Object.State state) :> Object.base)
