type t

(** Create a new read prompt at point *)
val create : int * int -> t

(** Handle an event: if the user accepted the input with enter, return the string *)
val handle : t -> Sdlevent.event -> string option

(** Render the entry *)
val render : t -> Gfx.t -> unit
